Module java.base
Package java.util.concurrent

## Interface RunnableScheduledFuture<V>

Type Parameters:
  `V` - The result type returned by this Future's `get` method

All Superinterfaces:
  Comparable<V>, Delayed, Future<V>, Runnable, RunnableFuture<V>, ScheduledFuture<V>

    public interface RunnableScheduledFuture<V>
    extends RunnableFuture<V>, ScheduledFuture<V>

A `ScheduledFuture` that is `Runnable`. Successful execution of the `run` method causes completion of the `Future` and allows access to its results.

Since:
  1.6
See Also:
  `FutureTask`, `Executor`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isPeriodic()` Returns `true` if this task is periodic.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface java.util.concurrent.Delayed

`getDelay`

### Methods inherited from interface java.util.concurrent.Future

`cancel, get, get, isCancelled, isDone`

### Methods inherited from interface java.util.concurrent.RunnableFuture

`run`

### Method Detail

#### isPeriodic

    boolean isPeriodic()

Returns `true` if this task is periodic. A periodic task may re-run according to some schedule. A non-periodic task can be run only once.

Returns:
  `true` if this task is periodic